Yaf_Request_Simple::isXmlHttpRequest
Yaf_Response_Abstract::appendBody
Yaf
PHP Manual

# The Yaf_Response_Abstract class

(Yaf >=1.0.0)

## Introduction

## Class synopsis

Yaf_Response_Abstract {
/* Constants */
const string DEFAULT_BODY = "content" ;
/* Properties */
protected $_header ;
protected $_body ;
protected $_sendheader ;
/* Methods */
public bool appendBody ( string `$content` [, string `$key` ] )
public bool clearBody ([ string `$key` ] )
public void clearHeaders ( void )
private void __clone ( void )
public __construct ( void )
public void __destruct ( void )
public mixed getBody ([ string `$key` ] )
public void getHeader ( void )
public bool prependBody ( string `$content` [, string `$key` ] )
public void response ( void )
protected void setAllHeaders ( void )
public bool setBody ( string `$content` [, string `$key` ] )
public void setHeader ( void )
public void setRedirect ( void )
private void __toString ( void )
}

## Properties

_header

_body

_sendheader

## Table of Contents

- Yaf_Response_Abstract::appendBody — append to body
- Yaf_Response_Abstract::clearBody — The clearBody purpose
- Yaf_Response_Abstract::clearHeaders — The clearHeaders purpose
- Yaf_Response_Abstract::__clone — The __clone purpose
- Yaf_Response_Abstract::__construct — The __construct purpose
- Yaf_Response_Abstract::__destruct — The __destruct purpose
- Yaf_Response_Abstract::getBody — Retrieve a exists content
- Yaf_Response_Abstract::getHeader — The getHeader purpose
- Yaf_Response_Abstract::prependBody — The prependBody purpose
- Yaf_Response_Abstract::response — send response
- Yaf_Response_Abstract::setAllHeaders — The setAllHeaders purpose
- Yaf_Response_Abstract::setBody — Set content to response
- Yaf_Response_Abstract::setHeader — The setHeader purpose
- Yaf_Response_Abstract::setRedirect — The setRedirect purpose
- Yaf_Response_Abstract::__toString — The __toString purpose

Yaf_Request_Simple::isXmlHttpRequest
Yaf_Response_Abstract::appendBody
Yaf
PHP Manual